ngenerictriangulation.h File Reference

Generic code for working with triangulations of arbitrary dimension. More...

`#include "regina-core.h"`
`#include "generic/dimtraits.h"`
`#include <list>`
`#include <memory>`
`#include <string>`

## Classes

class | regina::NGenericTriangulation< dim >
| A generic helper class for working with triangulations of arbitrary dimension. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Detailed Description

Generic code for working with triangulations of arbitrary dimension.

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).